// FuenfDlg.cpp : Implementierungsdatei
//

#include "stdafx.h"
#include "Fuenf.h"
#include "FuenfDlg.h"
#include "Statistik.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CFuenfDlg Dialogfeld

CFuenfDlg::CFuenfDlg(CWnd* pParent /*=NULL*/)
	: CDialog(CFuenfDlg::IDD, pParent)
{
	//{{AFX_DATA_INIT(CFuenfDlg)
	m_Text = _T("");
	//}}AFX_DATA_INIT
	// Beachten Sie, dass LoadIcon unter Win32 keinen nachfolgenden DestroyIcon-Aufruf bentigt
	m_hIcon = AfxGetApp()->LoadIcon(IDR_MAINFRAME);
}

void CFuenfDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CFuenfDlg)
	DDX_Text(pDX, IDC_EDIT, m_Text);
	//}}AFX_DATA_MAP
}

BEGIN_MESSAGE_MAP(CFuenfDlg, CDialog)
	//{{AFX_MSG_MAP(CFuenfDlg)
	ON_BN_CLICKED(IDC_BUTTON_LADEN, OnButtonLaden)
	ON_BN_CLICKED(IDOK, OnStatistik)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CFuenfDlg Nachrichten-Handler

BOOL CFuenfDlg::OnInitDialog()
{
	CDialog::OnInitDialog();

	// Symbol fr dieses Dialogfeld festlegen. Wird automatisch erledigt
	//  wenn das Hauptfenster der Anwendung kein Dialogfeld ist
	SetIcon(m_hIcon, TRUE);			// Groes Symbol verwenden
	SetIcon(m_hIcon, FALSE);		// Kleines Symbol verwenden
	
	return TRUE;  // Geben Sie TRUE zurck, auer ein Steuerelement soll den Fokus erhalten
}



// Datei laden
void CFuenfDlg::OnButtonLaden() 
{
	// Standard-Laden-Dialog
	CFileDialog	Laden(true);

	// Dialog ausfhren, Abbruch abfangen
	if (Laden.DoModal()!=IDOK)
	{
		AfxMessageBox("Gltige Datei auswhlen !");
		return;
	}

	// Dateinamen lesen
	CString m_Datei = Laden.GetPathName();
	CFile fDatei;

	// Datei ffnen
	fDatei.Open(m_Datei, CFile::modeRead);

	// in 100-Byte-Blcken lesen
	const LIESBYTES = 100;
	m_Text = "";

	// Lesepuffer (+1 Extrabyte)
	char arPuffer[LIESBYTES+1];
	// Anzahl gelesener Bytes
	int nGelesen;
	
	// Solange, bis Dateiende
	while((nGelesen=fDatei.Read(arPuffer, LIESBYTES))>0)
	{
		// Nullbyte zur Umwandlung in Zeichenkette anhngen
		arPuffer[nGelesen]=0;
		// Text zusammenfgen
		m_Text += arPuffer;
	}

	// Text anzeigen
	UpdateData(false);
}


// Statistik aufrufen
void CFuenfDlg::OnStatistik() 
{
	// Text auslesen
	UpdateData(true);

	// Ungltige Texte abfangen
	if (m_Text=="")
	{
		AfxMessageBox("Kein gltiger Text.");
		return;
	}

	// Statistik-Dialog
	CStatistik Statistik;
	// Zeilenumbruch einfgen
	Statistik.strText = m_Text+"\n";

	// Statistik aufrufen
	Statistik.DoModal();
}
